dots.v2.byoip_prefixes.get()
Generated on 13 Nov 2026
from DoTs version
v1.24.0
Usage
client.v2.byoip_prefixes.get(requestConfiguration?: RequestConfiguration<Byoip_prefixesRequestBuilderGetQueryParameters>): Promise<undefined | Byoip_prefixesGetResponse>Description
To list all BYOIP prefixes, send a GET request to /v2/byoip_prefixes.
A successful response will return a list of all BYOIP prefixes associated with the account.
Parameters
perPageinteger optionalExample:
2Number of items returned per page
pageinteger optionalExample:
1Which 'page' of paginated results to return.
Request Sample
Pagination
This method returns paginated results. The response includes a links.pages object with URLs for navigating between pages. To retrieve the next page, parse the next URL and pass the page query parameter:
let response = await client.v2.byoip_prefixes.get();
let pages = response?.links?.pages;
while (pages && "next" in pages && typeof pages.next === "string") {
const page = Number(new URL(pages.next).searchParams.get("page"));
response = await client.v2.byoip_prefixes.get({
queryParameters: {
page,
},
});
pages = response?.links?.pages;
}Response Example
More Information
See /v2/byoip_prefixes in the API reference for additional detail on responses, headers, parameters, and more.